McElieceFujisakiCipherTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.jcajce.provider.test

## Class McElieceFujisakiCipherTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.pqc.jcajce.provider.test.FlexiTest
      - - org.bouncycastle.pqc.jcajce.provider.test.AsymmetricHybridCipherTest
        - - org.bouncycastle.pqc.jcajce.provider.test.McElieceFujisakiCipherTest

- All Implemented Interfaces:
    junit.framework.Test

      public class McElieceFujisakiCipherTest
      extends AsymmetricHybridCipherTest

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.pqc.jcajce.provider.test.AsymmetricHybridCipherTest

      `cipher, kpg`

    - ### Fields inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `rand, sr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McElieceFujisakiCipherTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `void` | `testEnDecryption_SHA256_11_50()` Test encryption and decryption performance for SHA256 message digest and parameters m=11, t=50.

    - ### Methods inherited from class org.bouncycastle.pqc.jcajce.provider.test.AsymmetricHybridCipherTest

      `performEnDecryptionTest`

    - ### Methods inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `assertEquals, assertEquals, assertEquals, assertEquals, fail`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### McElieceFujisakiCipherTest

          public McElieceFujisakiCipherTest()

  - ### Method Detail

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `FlexiTest`

    - #### testEnDecryption_SHA256_11_50

          public void testEnDecryption_SHA256_11_50()
                                             throws java.lang.Exception

      Test encryption and decryption performance for SHA256 message digest and parameters m=11, t=50.
      Throws:
        `java.lang.Exception`